<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<h3 class="section-title">
  {{ "parameters.repository.edit.election-details.title." + type | translate}}
</h3>

<mat-table #table [dataSource]="dataSource" matSort>

  <ng-container matColumnDef="ballot">
    <mat-header-cell *matHeaderCellDef mat-sort-header>
      {{ "parameters.repository.edit.election-details.table.header.ballot" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.ballot}}</mat-cell>
  </ng-container>


  <ng-container matColumnDef="numberOfMandates">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.table.header.number-of-mandates" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.numberOfMandates}}</mat-cell>
  </ng-container>


  <ng-container matColumnDef="mandate">
    <mat-header-cell *matHeaderCellDef mat-sort-header>
      {{ "parameters.repository.edit.election-details.table.header.mandate" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.mandate}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="listCount">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.table.header.list-count" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element">
      <button mat-button color="primary" (click)="showLists(element)">
        {{element.listCount}}
      </button>
    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="candidatureCount">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.table.header.candidature-count" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.candidatureCount}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="candidateCount">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.table.header.candidate-count" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.candidateCount}}</mat-cell>
  </ng-container>


  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>


